{
  "openapi": "3.0.0",
  "paths": {
    "/v1/customers": {
      "post": {
        "operationId": "CustomersPublicController_create",
        "summary": "Cria um cliente",
        "parameters": [],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateCustomerDto"
              },
              "example": {
                "name": "Cliente Exemplo",
                "doc": "12345678900",
                "email": "maria@example.com"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "tenantId": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "customerType": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "firstName": {
                      "nullable": true
                    },
                    "lastName": {
                      "nullable": true
                    },
                    "nameOfficial": {
                      "nullable": true
                    },
                    "nameDisplay": {
                      "nullable": true
                    },
                    "stateRegistration": {
                      "nullable": true
                    },
                    "municipalRegistration": {
                      "nullable": true
                    },
                    "phone": {
                      "type": "string"
                    },
                    "doc": {
                      "nullable": true
                    },
                    "email": {
                      "type": "string"
                    },
                    "street": {
                      "nullable": true
                    },
                    "number": {
                      "nullable": true
                    },
                    "complement": {
                      "nullable": true
                    },
                    "district": {
                      "nullable": true
                    },
                    "city": {
                      "type": "string"
                    },
                    "state": {
                      "type": "string"
                    },
                    "postalCode": {
                      "nullable": true
                    },
                    "country": {
                      "nullable": true
                    },
                    "address": {
                      "nullable": true
                    },
                    "notes": {
                      "nullable": true
                    },
                    "priceTableId": {
                      "nullable": true
                    },
                    "createdAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedByUserId": {
                      "nullable": true
                    },
                    "deletedAt": {
                      "nullable": true
                    },
                    "cityIbgeCode": {
                      "nullable": true
                    },
                    "emailOptOutAt": {
                      "nullable": true
                    },
                    "birthDate": {
                      "nullable": true
                    },
                    "creditLimitCents": {
                      "nullable": true
                    },
                    "preferences": {
                      "nullable": true
                    },
                    "lat": {
                      "nullable": true
                    },
                    "lng": {
                      "nullable": true
                    },
                    "geoSource": {
                      "nullable": true
                    },
                    "geoAt": {
                      "nullable": true
                    },
                    "geoStatus": {
                      "type": "string"
                    },
                    "catalogOcultarPrecos": {
                      "type": "boolean"
                    }
                  }
                },
                "example": {
                  "id": "09923d7f-b1e5-4efe-8d32-376a9016c4ab",
                  "tenantId": "c97d2f13-39f7-4123-8457-6e47a4da5caf",
                  "customerType": "PF",
                  "name": "Maria Souza",
                  "firstName": null,
                  "lastName": null,
                  "nameOfficial": null,
                  "nameDisplay": null,
                  "stateRegistration": null,
                  "municipalRegistration": null,
                  "phone": "11987654321",
                  "doc": null,
                  "email": "maria.souza@exemplo.com.br",
                  "street": null,
                  "number": null,
                  "complement": null,
                  "district": null,
                  "city": "Itaí",
                  "state": "SP",
                  "postalCode": null,
                  "country": null,
                  "address": null,
                  "notes": null,
                  "priceTableId": null,
                  "createdAt": "2026-11-12T14:30:00.000Z",
                  "updatedAt": "2026-11-12T14:30:00.000Z",
                  "updatedByUserId": null,
                  "deletedAt": null,
                  "cityIbgeCode": null,
                  "emailOptOutAt": null,
                  "birthDate": null,
                  "creditLimitCents": null,
                  "preferences": null,
                  "lat": null,
                  "lng": null,
                  "geoSource": null,
                  "geoAt": null,
                  "geoStatus": "no_cep",
                  "catalogOcultarPrecos": true
                }
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Clientes"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "**Papel mínimo do token:** Operador.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl -X POST https://api.nivro.app/api/v1/customers \\\n  -H \"Authorization: Bearer nv_...\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\"name\": \"Cliente Exemplo\", \"doc\": \"12345678900\", \"email\": \"maria@example.com\"}'"
          }
        ],
        "x-papeis": [
          "Operador",
          "Gerente",
          "Proprietário"
        ]
      },
      "get": {
        "operationId": "CustomersPublicController_findAll",
        "summary": "Lista clientes",
        "parameters": [
          {
            "name": "search",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Texto a buscar."
          },
          {
            "name": "take",
            "required": false,
            "in": "query",
            "description": "Padrão 50, máximo 200",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "skip",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Quantos itens pular, para paginar com `take`."
          }
        ],
        "responses": {
          "200": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "format": "uuid"
                      },
                      "tenantId": {
                        "type": "string",
                        "format": "uuid"
                      },
                      "customerType": {
                        "type": "string"
                      },
                      "name": {
                        "type": "string"
                      },
                      "firstName": {
                        "nullable": true
                      },
                      "lastName": {
                        "nullable": true
                      },
                      "nameOfficial": {
                        "nullable": true
                      },
                      "nameDisplay": {
                        "nullable": true
                      },
                      "stateRegistration": {
                        "nullable": true
                      },
                      "municipalRegistration": {
                        "nullable": true
                      },
                      "phone": {
                        "type": "string"
                      },
                      "doc": {
                        "nullable": true
                      },
                      "email": {
                        "type": "string"
                      },
                      "street": {
                        "nullable": true
                      },
                      "number": {
                        "nullable": true
                      },
                      "complement": {
                        "nullable": true
                      },
                      "district": {
                        "nullable": true
                      },
                      "city": {
                        "type": "string"
                      },
                      "state": {
                        "type": "string"
                      },
                      "postalCode": {
                        "nullable": true
                      },
                      "country": {
                        "nullable": true
                      },
                      "address": {
                        "nullable": true
                      },
                      "notes": {
                        "nullable": true
                      },
                      "priceTableId": {
                        "nullable": true
                      },
                      "createdAt": {
                        "type": "string",
                        "format": "date-time"
                      },
                      "updatedAt": {
                        "type": "string",
                        "format": "date-time"
                      },
                      "updatedByUserId": {
                        "nullable": true
                      },
                      "deletedAt": {
                        "nullable": true
                      },
                      "cityIbgeCode": {
                        "nullable": true
                      },
                      "emailOptOutAt": {
                        "nullable": true
                      },
                      "birthDate": {
                        "nullable": true
                      },
                      "creditLimitCents": {
                        "nullable": true
                      },
                      "preferences": {
                        "nullable": true
                      },
                      "lat": {
                        "nullable": true
                      },
                      "lng": {
                        "nullable": true
                      },
                      "geoSource": {
                        "nullable": true
                      },
                      "geoAt": {
                        "nullable": true
                      },
                      "geoStatus": {
                        "type": "string"
                      },
                      "catalogOcultarPrecos": {
                        "type": "boolean"
                      },
                      "hasPendingReceivables": {
                        "type": "boolean"
                      }
                    }
                  }
                },
                "example": [
                  {
                    "id": "09923d7f-b1e5-4efe-8d32-376a9016c4ab",
                    "tenantId": "c97d2f13-39f7-4123-8457-6e47a4da5caf",
                    "customerType": "PF",
                    "name": "Maria Souza",
                    "firstName": null,
                    "lastName": null,
                    "nameOfficial": null,
                    "nameDisplay": null,
                    "stateRegistration": null,
                    "municipalRegistration": null,
                    "phone": "11987654321",
                    "doc": null,
                    "email": "maria.souza@exemplo.com.br",
                    "street": null,
                    "number": null,
                    "complement": null,
                    "district": null,
                    "city": "Itaí",
                    "state": "SP",
                    "postalCode": null,
                    "country": null,
                    "address": null,
                    "notes": null,
                    "priceTableId": null,
                    "createdAt": "2026-11-12T14:30:00.000Z",
                    "updatedAt": "2026-11-12T14:30:00.000Z",
                    "updatedByUserId": null,
                    "deletedAt": null,
                    "cityIbgeCode": null,
                    "emailOptOutAt": null,
                    "birthDate": null,
                    "creditLimitCents": null,
                    "preferences": null,
                    "lat": null,
                    "lng": null,
                    "geoSource": null,
                    "geoAt": null,
                    "geoStatus": "no_cep",
                    "catalogOcultarPrecos": true,
                    "hasPendingReceivables": false
                  }
                ]
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Clientes"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "**Papel mínimo do token:** Visualizador.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl \"https://api.nivro.app/api/v1/customers?search=maria&take=20\" \\\n  -H \"Authorization: Bearer nv_...\""
          }
        ],
        "x-papeis": [
          "Visualizador",
          "Operador",
          "Gerente",
          "Proprietário"
        ]
      }
    },
    "/v1/customers/{id}": {
      "get": {
        "operationId": "CustomersPublicController_findOne",
        "summary": "Busca um cliente por id",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            },
            "description": "Id do recurso (UUID)."
          }
        ],
        "responses": {
          "200": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "tenantId": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "customerType": {
                      "type": "string"
                    },
                    "name": {
                      "type": "string"
                    },
                    "firstName": {
                      "nullable": true
                    },
                    "lastName": {
                      "nullable": true
                    },
                    "nameOfficial": {
                      "nullable": true
                    },
                    "nameDisplay": {
                      "nullable": true
                    },
                    "stateRegistration": {
                      "nullable": true
                    },
                    "municipalRegistration": {
                      "nullable": true
                    },
                    "phone": {
                      "type": "string"
                    },
                    "doc": {
                      "nullable": true
                    },
                    "email": {
                      "type": "string"
                    },
                    "street": {
                      "nullable": true
                    },
                    "number": {
                      "nullable": true
                    },
                    "complement": {
                      "nullable": true
                    },
                    "district": {
                      "nullable": true
                    },
                    "city": {
                      "type": "string"
                    },
                    "state": {
                      "type": "string"
                    },
                    "postalCode": {
                      "nullable": true
                    },
                    "country": {
                      "nullable": true
                    },
                    "address": {
                      "nullable": true
                    },
                    "notes": {
                      "nullable": true
                    },
                    "priceTableId": {
                      "nullable": true
                    },
                    "createdAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedByUserId": {
                      "nullable": true
                    },
                    "deletedAt": {
                      "nullable": true
                    },
                    "cityIbgeCode": {
                      "nullable": true
                    },
                    "emailOptOutAt": {
                      "nullable": true
                    },
                    "birthDate": {
                      "nullable": true
                    },
                    "creditLimitCents": {
                      "nullable": true
                    },
                    "preferences": {
                      "nullable": true
                    },
                    "lat": {
                      "nullable": true
                    },
                    "lng": {
                      "nullable": true
                    },
                    "geoSource": {
                      "nullable": true
                    },
                    "geoAt": {
                      "nullable": true
                    },
                    "geoStatus": {
                      "type": "string"
                    },
                    "catalogOcultarPrecos": {
                      "type": "boolean"
                    },
                    "cepLat": {
                      "nullable": true
                    },
                    "cepLng": {
                      "nullable": true
                    }
                  }
                },
                "example": {
                  "id": "09923d7f-b1e5-4efe-8d32-376a9016c4ab",
                  "tenantId": "c97d2f13-39f7-4123-8457-6e47a4da5caf",
                  "customerType": "PF",
                  "name": "Maria Souza",
                  "firstName": null,
                  "lastName": null,
                  "nameOfficial": null,
                  "nameDisplay": null,
                  "stateRegistration": null,
                  "municipalRegistration": null,
                  "phone": "11987654321",
                  "doc": null,
                  "email": "maria.souza@exemplo.com.br",
                  "street": null,
                  "number": null,
                  "complement": null,
                  "district": null,
                  "city": "Itaí",
                  "state": "SP",
                  "postalCode": null,
                  "country": null,
                  "address": null,
                  "notes": null,
                  "priceTableId": null,
                  "createdAt": "2026-11-12T14:30:00.000Z",
                  "updatedAt": "2026-11-12T14:30:00.000Z",
                  "updatedByUserId": null,
                  "deletedAt": null,
                  "cityIbgeCode": null,
                  "emailOptOutAt": null,
                  "birthDate": null,
                  "creditLimitCents": null,
                  "preferences": null,
                  "lat": null,
                  "lng": null,
                  "geoSource": null,
                  "geoAt": null,
                  "geoStatus": "no_cep",
                  "catalogOcultarPrecos": true,
                  "cepLat": null,
                  "cepLng": null
                }
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "404": {
            "description": "Não encontrado, ou de outra empresa.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "NOT_FOUND",
                  "code": "NOT_FOUND",
                  "message": "Order 16db273e-10da-449d-8124-331bfd7d1def not found"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Clientes"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "**Papel mínimo do token:** Visualizador.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl https://api.nivro.app/api/v1/customers/CUSTOMER_ID \\\n  -H \"Authorization: Bearer nv_...\""
          }
        ],
        "x-papeis": [
          "Visualizador",
          "Operador",
          "Gerente",
          "Proprietário"
        ]
      }
    },
    "/v1/products": {
      "post": {
        "operationId": "ProductsPublicController_create",
        "summary": "Cria um produto ou serviço",
        "parameters": [],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateProductDto"
              },
              "example": {
                "name": "Refrigerante 2L",
                "type": "PRODUCT",
                "sku": "REF-2L",
                "price": "8.90",
                "cost": "5.50",
                "unit": "UN"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "tenantId": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "name": {
                      "type": "string"
                    },
                    "type": {
                      "type": "string"
                    },
                    "sku": {
                      "type": "string"
                    },
                    "price": {
                      "type": "string"
                    },
                    "cost": {
                      "type": "string"
                    },
                    "avgCost": {
                      "nullable": true
                    },
                    "avgCostUpdatedAt": {
                      "nullable": true
                    },
                    "unit": {
                      "type": "string"
                    },
                    "categoryId": {
                      "nullable": true
                    },
                    "photoUrl": {
                      "nullable": true
                    },
                    "photoKey": {
                      "nullable": true
                    },
                    "photoThumbUrl": {
                      "nullable": true
                    },
                    "photoThumbKey": {
                      "nullable": true
                    },
                    "minStock": {
                      "type": "integer"
                    },
                    "maxStock": {
                      "nullable": true
                    },
                    "reorderPoint": {
                      "nullable": true
                    },
                    "hiddenFromSales": {
                      "type": "boolean"
                    },
                    "allowsFractionalQty": {
                      "nullable": true
                    },
                    "costingMethod": {
                      "type": "string"
                    },
                    "trackingMode": {
                      "type": "string"
                    },
                    "commissionPercentage": {
                      "nullable": true
                    },
                    "ncm": {
                      "nullable": true
                    },
                    "cest": {
                      "nullable": true
                    },
                    "cfopDefault": {
                      "nullable": true
                    },
                    "origem": {
                      "nullable": true
                    },
                    "createdAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedByUserId": {
                      "nullable": true
                    },
                    "deletedAt": {
                      "nullable": true
                    },
                    "itemListaServico": {
                      "nullable": true
                    },
                    "icmsCst": {
                      "nullable": true
                    },
                    "icmsAliquota": {
                      "nullable": true
                    },
                    "cfopSufixoVenda": {
                      "nullable": true
                    },
                    "tracksExpiry": {
                      "nullable": true
                    },
                    "pisCst": {
                      "nullable": true
                    },
                    "pisAliquota": {
                      "nullable": true
                    },
                    "cofinsCst": {
                      "nullable": true
                    },
                    "cofinsAliquota": {
                      "nullable": true
                    },
                    "cBenef": {
                      "nullable": true
                    },
                    "ibsCbsCst": {
                      "nullable": true
                    },
                    "ibsCbsClassTrib": {
                      "nullable": true
                    },
                    "brand": {
                      "type": "string"
                    },
                    "promotionalPrice": {
                      "nullable": true
                    },
                    "promotionStartsAt": {
                      "nullable": true
                    },
                    "promotionEndsAt": {
                      "nullable": true
                    },
                    "bomYield": {
                      "type": "string"
                    },
                    "bomProcessLossPercent": {
                      "type": "string"
                    },
                    "promotionPercent": {
                      "nullable": true
                    },
                    "rentable": {
                      "type": "boolean"
                    },
                    "rentPrice": {
                      "nullable": true
                    },
                    "rentUnit": {
                      "nullable": true
                    },
                    "rentMinPeriods": {
                      "type": "integer"
                    },
                    "replacementPrice": {
                      "nullable": true
                    },
                    "defaultVariantId": {
                      "type": "string",
                      "format": "uuid"
                    }
                  }
                },
                "example": {
                  "id": "de61c106-f7b0-4fed-8623-7c4e114ac6a5",
                  "tenantId": "c97d2f13-39f7-4123-8457-6e47a4da5caf",
                  "name": "Camiseta básica",
                  "type": "PRODUCT",
                  "sku": "CAM-001",
                  "price": "59.9",
                  "cost": "24",
                  "avgCost": null,
                  "avgCostUpdatedAt": null,
                  "unit": "un",
                  "categoryId": null,
                  "photoUrl": null,
                  "photoKey": null,
                  "photoThumbUrl": null,
                  "photoThumbKey": null,
                  "minStock": 0,
                  "maxStock": null,
                  "reorderPoint": null,
                  "hiddenFromSales": false,
                  "allowsFractionalQty": null,
                  "costingMethod": "WEIGHTED_AVERAGE",
                  "trackingMode": "NONE",
                  "commissionPercentage": null,
                  "ncm": null,
                  "cest": null,
                  "cfopDefault": null,
                  "origem": null,
                  "createdAt": "2026-11-12T14:30:00.000Z",
                  "updatedAt": "2026-11-12T14:30:00.000Z",
                  "updatedByUserId": null,
                  "deletedAt": null,
                  "itemListaServico": null,
                  "icmsCst": null,
                  "icmsAliquota": null,
                  "cfopSufixoVenda": null,
                  "tracksExpiry": null,
                  "pisCst": null,
                  "pisAliquota": null,
                  "cofinsCst": null,
                  "cofinsAliquota": null,
                  "cBenef": null,
                  "ibsCbsCst": null,
                  "ibsCbsClassTrib": null,
                  "brand": "Nivro",
                  "promotionalPrice": null,
                  "promotionStartsAt": null,
                  "promotionEndsAt": null,
                  "bomYield": "1",
                  "bomProcessLossPercent": "0",
                  "promotionPercent": null,
                  "rentable": false,
                  "rentPrice": null,
                  "rentUnit": null,
                  "rentMinPeriods": 1,
                  "replacementPrice": null,
                  "defaultVariantId": "bf22bdb9-161b-49c9-8030-3e3ccbb63001"
                }
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Produtos"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "**Papel mínimo do token:** Gerente.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl -X POST https://api.nivro.app/api/v1/products \\\n  -H \"Authorization: Bearer nv_...\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\"name\": \"Refrigerante 2L\", \"type\": \"PRODUCT\", \"sku\": \"REF-2L\", \"price\": \"8.90\", \"cost\": \"5.50\", \"unit\": \"UN\"}'"
          }
        ],
        "x-papeis": [
          "Gerente",
          "Proprietário"
        ]
      },
      "get": {
        "operationId": "ProductsPublicController_findAll",
        "summary": "Lista produtos e serviços",
        "parameters": [
          {
            "name": "search",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Texto a buscar."
          },
          {
            "name": "type",
            "required": false,
            "in": "query",
            "description": "Filtra pelo tipo do item do catálogo",
            "schema": {
              "enum": [
                "PRODUCT",
                "SERVICE"
              ],
              "type": "string"
            }
          },
          {
            "name": "take",
            "required": false,
            "in": "query",
            "description": "Padrão 50, máximo 200",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "skip",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Quantos itens pular, para paginar com `take`."
          }
        ],
        "responses": {
          "200": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "format": "uuid"
                      },
                      "name": {
                        "type": "string"
                      },
                      "type": {
                        "type": "string"
                      },
                      "sku": {
                        "type": "string"
                      },
                      "brand": {
                        "type": "string"
                      },
                      "price": {
                        "type": "string"
                      },
                      "promotionalPrice": {
                        "nullable": true
                      },
                      "promotionPercent": {
                        "nullable": true
                      },
                      "promotionStartsAt": {
                        "nullable": true
                      },
                      "promotionEndsAt": {
                        "nullable": true
                      },
                      "cost": {
                        "type": "string"
                      },
                      "avgCost": {
                        "type": "string"
                      },
                      "ncm": {
                        "nullable": true
                      },
                      "cest": {
                        "nullable": true
                      },
                      "cfopDefault": {
                        "nullable": true
                      },
                      "origem": {
                        "nullable": true
                      },
                      "unit": {
                        "type": "string"
                      },
                      "categoryId": {
                        "nullable": true
                      },
                      "photoUrl": {
                        "nullable": true
                      },
                      "photoKey": {
                        "nullable": true
                      },
                      "photoThumbUrl": {
                        "nullable": true
                      },
                      "photoThumbKey": {
                        "nullable": true
                      },
                      "minStock": {
                        "type": "integer"
                      },
                      "maxStock": {
                        "nullable": true
                      },
                      "reorderPoint": {
                        "nullable": true
                      },
                      "allowsFractionalQty": {
                        "nullable": true
                      },
                      "hiddenFromSales": {
                        "type": "boolean"
                      },
                      "trackingMode": {
                        "type": "string"
                      },
                      "rentable": {
                        "type": "boolean"
                      },
                      "rentPrice": {
                        "nullable": true
                      },
                      "rentUnit": {
                        "nullable": true
                      },
                      "rentMinPeriods": {
                        "type": "integer"
                      },
                      "replacementPrice": {
                        "nullable": true
                      },
                      "createdAt": {
                        "type": "string",
                        "format": "date-time"
                      },
                      "stock_quantity": {
                        "type": "string"
                      },
                      "na_rua": {
                        "type": "integer"
                      },
                      "abaixo_do_minimo": {
                        "type": "boolean"
                      },
                      "category_name": {
                        "nullable": true
                      },
                      "category_slug": {
                        "nullable": true
                      },
                      "category_hidden_from_sales": {
                        "nullable": true
                      },
                      "variant_count": {
                        "type": "integer"
                      },
                      "variant_labels": {
                        "nullable": true
                      },
                      "variant_labels_in_stock": {
                        "nullable": true
                      },
                      "currentStock": {
                        "type": "integer"
                      },
                      "naRua": {
                        "type": "integer"
                      },
                      "abaixoDoMinimo": {
                        "type": "boolean"
                      },
                      "variantCount": {
                        "type": "integer"
                      },
                      "variantLabels": {
                        "nullable": true
                      },
                      "variantLabelsInStock": {
                        "nullable": true
                      },
                      "category": {
                        "nullable": true
                      },
                      "patrimonio": {
                        "type": "integer"
                      },
                      "promotionActive": {
                        "type": "boolean"
                      }
                    }
                  }
                },
                "example": [
                  {
                    "id": "de61c106-f7b0-4fed-8623-7c4e114ac6a5",
                    "name": "Camiseta básica",
                    "type": "PRODUCT",
                    "sku": "CAM-001",
                    "brand": "Nivro",
                    "price": "64.9",
                    "promotionalPrice": null,
                    "promotionPercent": null,
                    "promotionStartsAt": null,
                    "promotionEndsAt": null,
                    "cost": "24",
                    "avgCost": "24",
                    "ncm": null,
                    "cest": null,
                    "cfopDefault": null,
                    "origem": null,
                    "unit": "un",
                    "categoryId": null,
                    "photoUrl": null,
                    "photoKey": null,
                    "photoThumbUrl": null,
                    "photoThumbKey": null,
                    "minStock": 0,
                    "maxStock": null,
                    "reorderPoint": null,
                    "allowsFractionalQty": null,
                    "hiddenFromSales": false,
                    "trackingMode": "NONE",
                    "rentable": false,
                    "rentPrice": null,
                    "rentUnit": null,
                    "rentMinPeriods": 1,
                    "replacementPrice": null,
                    "createdAt": "2026-11-12T14:30:00.000Z",
                    "stock_quantity": "40",
                    "na_rua": 0,
                    "abaixo_do_minimo": false,
                    "category_name": null,
                    "category_slug": null,
                    "category_hidden_from_sales": null,
                    "variant_count": 0,
                    "variant_labels": null,
                    "variant_labels_in_stock": null,
                    "currentStock": 40,
                    "naRua": 0,
                    "abaixoDoMinimo": false,
                    "variantCount": 0,
                    "variantLabels": null,
                    "variantLabelsInStock": null,
                    "category": null,
                    "patrimonio": 40,
                    "promotionActive": false
                  }
                ]
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Produtos"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "Lista produtos. Use type=PRODUCT ou type=SERVICE para filtrar apenas um dos dois. O catálogo do Nivro trata serviços como um tipo de produto sem estoque.\n\n**Papel mínimo do token:** Visualizador.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl \"https://api.nivro.app/api/v1/products?type=SERVICE&take=20\" \\\n  -H \"Authorization: Bearer nv_...\""
          }
        ],
        "x-papeis": [
          "Visualizador",
          "Operador",
          "Gerente",
          "Proprietário"
        ]
      }
    },
    "/v1/products/{id}": {
      "put": {
        "operationId": "ProductsPublicController_update",
        "summary": "Atualiza um produto ou serviço",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            },
            "description": "Id do recurso (UUID)."
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/UpdateProductDto"
              },
              "example": {
                "price": "9.90",
                "minStock": 10
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "name": {
                      "type": "string"
                    },
                    "type": {
                      "type": "string"
                    },
                    "sku": {
                      "type": "string"
                    },
                    "brand": {
                      "type": "string"
                    },
                    "price": {
                      "type": "string"
                    },
                    "promotionalPrice": {
                      "nullable": true
                    },
                    "promotionPercent": {
                      "nullable": true
                    },
                    "promotionStartsAt": {
                      "nullable": true
                    },
                    "promotionEndsAt": {
                      "nullable": true
                    },
                    "cost": {
                      "type": "string"
                    },
                    "avgCost": {
                      "type": "string"
                    },
                    "ncm": {
                      "nullable": true
                    },
                    "cest": {
                      "nullable": true
                    },
                    "cfopDefault": {
                      "nullable": true
                    },
                    "origem": {
                      "nullable": true
                    },
                    "unit": {
                      "type": "string"
                    },
                    "categoryId": {
                      "nullable": true
                    },
                    "photoUrl": {
                      "nullable": true
                    },
                    "photoKey": {
                      "nullable": true
                    },
                    "photoThumbUrl": {
                      "nullable": true
                    },
                    "photoThumbKey": {
                      "nullable": true
                    },
                    "minStock": {
                      "type": "integer"
                    },
                    "maxStock": {
                      "nullable": true
                    },
                    "reorderPoint": {
                      "nullable": true
                    },
                    "commissionPercentage": {
                      "nullable": true
                    },
                    "allowsFractionalQty": {
                      "nullable": true
                    },
                    "tracksExpiry": {
                      "nullable": true
                    },
                    "hiddenFromSales": {
                      "type": "boolean"
                    },
                    "trackingMode": {
                      "type": "string"
                    },
                    "rentable": {
                      "type": "boolean"
                    },
                    "rentPrice": {
                      "nullable": true
                    },
                    "rentUnit": {
                      "nullable": true
                    },
                    "rentMinPeriods": {
                      "type": "integer"
                    },
                    "replacementPrice": {
                      "nullable": true
                    },
                    "icmsCst": {
                      "nullable": true
                    },
                    "icmsAliquota": {
                      "nullable": true
                    },
                    "cfopSufixoVenda": {
                      "nullable": true
                    },
                    "pisCst": {
                      "nullable": true
                    },
                    "pisAliquota": {
                      "nullable": true
                    },
                    "cofinsCst": {
                      "nullable": true
                    },
                    "cofinsAliquota": {
                      "nullable": true
                    },
                    "cBenef": {
                      "nullable": true
                    },
                    "ibsCbsCst": {
                      "nullable": true
                    },
                    "ibsCbsClassTrib": {
                      "nullable": true
                    },
                    "createdAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "currentStock": {
                      "type": "integer"
                    },
                    "naRua": {
                      "type": "integer"
                    },
                    "patrimonio": {
                      "type": "integer"
                    },
                    "abaixoDoMinimo": {
                      "type": "boolean"
                    },
                    "expiryTracking": {
                      "type": "object",
                      "properties": {
                        "rastreia": {
                          "type": "boolean"
                        },
                        "origem": {
                          "type": "string"
                        },
                        "categoriaNome": {
                          "nullable": true
                        }
                      }
                    },
                    "variantCount": {
                      "type": "integer"
                    },
                    "promotionActive": {
                      "type": "boolean"
                    }
                  }
                },
                "example": {
                  "id": "de61c106-f7b0-4fed-8623-7c4e114ac6a5",
                  "name": "Camiseta básica",
                  "type": "PRODUCT",
                  "sku": "CAM-001",
                  "brand": "Nivro",
                  "price": "64.9",
                  "promotionalPrice": null,
                  "promotionPercent": null,
                  "promotionStartsAt": null,
                  "promotionEndsAt": null,
                  "cost": "24",
                  "avgCost": "24",
                  "ncm": null,
                  "cest": null,
                  "cfopDefault": null,
                  "origem": null,
                  "unit": "un",
                  "categoryId": null,
                  "photoUrl": null,
                  "photoKey": null,
                  "photoThumbUrl": null,
                  "photoThumbKey": null,
                  "minStock": 0,
                  "maxStock": null,
                  "reorderPoint": null,
                  "commissionPercentage": null,
                  "allowsFractionalQty": null,
                  "tracksExpiry": null,
                  "hiddenFromSales": false,
                  "trackingMode": "NONE",
                  "rentable": false,
                  "rentPrice": null,
                  "rentUnit": null,
                  "rentMinPeriods": 1,
                  "replacementPrice": null,
                  "icmsCst": null,
                  "icmsAliquota": null,
                  "cfopSufixoVenda": null,
                  "pisCst": null,
                  "pisAliquota": null,
                  "cofinsCst": null,
                  "cofinsAliquota": null,
                  "cBenef": null,
                  "ibsCbsCst": null,
                  "ibsCbsClassTrib": null,
                  "createdAt": "2026-11-12T14:30:00.000Z",
                  "currentStock": 40,
                  "naRua": 0,
                  "patrimonio": 40,
                  "abaixoDoMinimo": false,
                  "expiryTracking": {
                    "rastreia": false,
                    "origem": "padrao",
                    "categoriaNome": null
                  },
                  "variantCount": 0,
                  "promotionActive": false
                }
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "404": {
            "description": "Não encontrado, ou de outra empresa.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "NOT_FOUND",
                  "code": "NOT_FOUND",
                  "message": "Order 16db273e-10da-449d-8124-331bfd7d1def not found"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Produtos"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "Atualiza um produto ou serviço. Todos os campos são opcionais: envie apenas o que deseja alterar.\n\n**Papel mínimo do token:** Gerente.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl -X PUT https://api.nivro.app/api/v1/products/PRODUCT_ID \\\n  -H \"Authorization: Bearer nv_...\" \\\n  -H \"Content-Type: application/json\" \\\n  -d '{\"price\": \"9.90\", \"minStock\": 10}'"
          }
        ],
        "x-papeis": [
          "Gerente",
          "Proprietário"
        ]
      },
      "get": {
        "operationId": "ProductsPublicController_findOne",
        "summary": "Busca um produto por id",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            },
            "description": "Id do recurso (UUID)."
          }
        ],
        "responses": {
          "200": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "name": {
                      "type": "string"
                    },
                    "type": {
                      "type": "string"
                    },
                    "sku": {
                      "type": "string"
                    },
                    "brand": {
                      "type": "string"
                    },
                    "price": {
                      "type": "string"
                    },
                    "promotionalPrice": {
                      "nullable": true
                    },
                    "promotionPercent": {
                      "nullable": true
                    },
                    "promotionStartsAt": {
                      "nullable": true
                    },
                    "promotionEndsAt": {
                      "nullable": true
                    },
                    "cost": {
                      "type": "string"
                    },
                    "avgCost": {
                      "type": "string"
                    },
                    "ncm": {
                      "nullable": true
                    },
                    "cest": {
                      "nullable": true
                    },
                    "cfopDefault": {
                      "nullable": true
                    },
                    "origem": {
                      "nullable": true
                    },
                    "unit": {
                      "type": "string"
                    },
                    "categoryId": {
                      "nullable": true
                    },
                    "photoUrl": {
                      "nullable": true
                    },
                    "photoKey": {
                      "nullable": true
                    },
                    "photoThumbUrl": {
                      "nullable": true
                    },
                    "photoThumbKey": {
                      "nullable": true
                    },
                    "minStock": {
                      "type": "integer"
                    },
                    "maxStock": {
                      "nullable": true
                    },
                    "reorderPoint": {
                      "nullable": true
                    },
                    "commissionPercentage": {
                      "nullable": true
                    },
                    "allowsFractionalQty": {
                      "nullable": true
                    },
                    "tracksExpiry": {
                      "nullable": true
                    },
                    "hiddenFromSales": {
                      "type": "boolean"
                    },
                    "trackingMode": {
                      "type": "string"
                    },
                    "rentable": {
                      "type": "boolean"
                    },
                    "rentPrice": {
                      "nullable": true
                    },
                    "rentUnit": {
                      "nullable": true
                    },
                    "rentMinPeriods": {
                      "type": "integer"
                    },
                    "replacementPrice": {
                      "nullable": true
                    },
                    "icmsCst": {
                      "nullable": true
                    },
                    "icmsAliquota": {
                      "nullable": true
                    },
                    "cfopSufixoVenda": {
                      "nullable": true
                    },
                    "pisCst": {
                      "nullable": true
                    },
                    "pisAliquota": {
                      "nullable": true
                    },
                    "cofinsCst": {
                      "nullable": true
                    },
                    "cofinsAliquota": {
                      "nullable": true
                    },
                    "cBenef": {
                      "nullable": true
                    },
                    "ibsCbsCst": {
                      "nullable": true
                    },
                    "ibsCbsClassTrib": {
                      "nullable": true
                    },
                    "createdAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "currentStock": {
                      "type": "integer"
                    },
                    "naRua": {
                      "type": "integer"
                    },
                    "patrimonio": {
                      "type": "integer"
                    },
                    "abaixoDoMinimo": {
                      "type": "boolean"
                    },
                    "expiryTracking": {
                      "type": "object",
                      "properties": {
                        "rastreia": {
                          "type": "boolean"
                        },
                        "origem": {
                          "type": "string"
                        },
                        "categoriaNome": {
                          "nullable": true
                        }
                      }
                    },
                    "variantCount": {
                      "type": "integer"
                    },
                    "promotionActive": {
                      "type": "boolean"
                    }
                  }
                },
                "example": {
                  "id": "de61c106-f7b0-4fed-8623-7c4e114ac6a5",
                  "name": "Camiseta básica",
                  "type": "PRODUCT",
                  "sku": "CAM-001",
                  "brand": "Nivro",
                  "price": "64.9",
                  "promotionalPrice": null,
                  "promotionPercent": null,
                  "promotionStartsAt": null,
                  "promotionEndsAt": null,
                  "cost": "24",
                  "avgCost": "24",
                  "ncm": null,
                  "cest": null,
                  "cfopDefault": null,
                  "origem": null,
                  "unit": "un",
                  "categoryId": null,
                  "photoUrl": null,
                  "photoKey": null,
                  "photoThumbUrl": null,
                  "photoThumbKey": null,
                  "minStock": 0,
                  "maxStock": null,
                  "reorderPoint": null,
                  "commissionPercentage": null,
                  "allowsFractionalQty": null,
                  "tracksExpiry": null,
                  "hiddenFromSales": false,
                  "trackingMode": "NONE",
                  "rentable": false,
                  "rentPrice": null,
                  "rentUnit": null,
                  "rentMinPeriods": 1,
                  "replacementPrice": null,
                  "icmsCst": null,
                  "icmsAliquota": null,
                  "cfopSufixoVenda": null,
                  "pisCst": null,
                  "pisAliquota": null,
                  "cofinsCst": null,
                  "cofinsAliquota": null,
                  "cBenef": null,
                  "ibsCbsCst": null,
                  "ibsCbsClassTrib": null,
                  "createdAt": "2026-11-12T14:30:00.000Z",
                  "currentStock": 40,
                  "naRua": 0,
                  "patrimonio": 40,
                  "abaixoDoMinimo": false,
                  "expiryTracking": {
                    "rastreia": false,
                    "origem": "padrao",
                    "categoriaNome": null
                  },
                  "variantCount": 0,
                  "promotionActive": false
                }
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "404": {
            "description": "Não encontrado, ou de outra empresa.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "NOT_FOUND",
                  "code": "NOT_FOUND",
                  "message": "Order 16db273e-10da-449d-8124-331bfd7d1def not found"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Produtos"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "**Papel mínimo do token:** Visualizador.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl https://api.nivro.app/api/v1/products/PRODUCT_ID \\\n  -H \"Authorization: Bearer nv_...\""
          }
        ],
        "x-papeis": [
          "Visualizador",
          "Operador",
          "Gerente",
          "Proprietário"
        ]
      }
    },
    "/v1/products/{id}/variants": {
      "get": {
        "operationId": "ProductsPublicController_variantsOf",
        "summary": "Variações do produto (grade: tamanho e cor), com o saldo de cada uma",
        "parameters": [
          {
            "name": "id",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            },
            "description": "Id do recurso (UUID)."
          },
          {
            "name": "includeInactive",
            "required": false,
            "in": "query",
            "schema": {
              "type": "string"
            },
            "description": "Use `true` para incluir também as variações inativas."
          }
        ],
        "responses": {
          "200": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "id": {
                        "type": "string",
                        "format": "uuid"
                      },
                      "sku": {
                        "type": "string"
                      },
                      "name": {
                        "nullable": true
                      },
                      "attributes": {
                        "nullable": true
                      },
                      "price": {
                        "nullable": true
                      },
                      "minStock": {
                        "nullable": true
                      },
                      "reorderPoint": {
                        "nullable": true
                      },
                      "isDefault": {
                        "type": "boolean"
                      },
                      "active": {
                        "type": "boolean"
                      },
                      "quantity": {
                        "type": "integer"
                      },
                      "naRua": {
                        "type": "integer"
                      },
                      "code": {
                        "type": "string"
                      }
                    }
                  }
                },
                "example": [
                  {
                    "id": "bf22bdb9-161b-49c9-8030-3e3ccbb63001",
                    "sku": "CAM-001",
                    "name": null,
                    "attributes": null,
                    "price": null,
                    "minStock": null,
                    "reorderPoint": null,
                    "isDefault": true,
                    "active": true,
                    "quantity": 40,
                    "naRua": 0,
                    "code": "CAM-001"
                  }
                ]
              }
            }
          },
          "400": {
            "description": "Parâmetro ou corpo inválido. A mensagem diz qual campo.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "BAD_REQUEST",
                  "code": "BAD_REQUEST",
                  "message": "take inválido: o máximo é 200."
                }
              }
            }
          },
          "401": {
            "description": "Token ausente, inválido, revogado ou expirado.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "UNAUTHORIZED",
                  "code": "UNAUTHORIZED",
                  "message": "Invalid API token"
                }
              }
            }
          },
          "403": {
            "description": "O papel do token não permite esta ação, ou o plano ou o módulo da empresa não inclui o recurso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "FORBIDDEN",
                  "code": "FORBIDDEN",
                  "message": "Insufficient permissions. Required action: CUSTOMER_CREATE"
                }
              }
            }
          },
          "404": {
            "description": "Não encontrado, ou de outra empresa.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "error": {
                      "type": "string"
                    },
                    "code": {
                      "type": "string"
                    },
                    "message": {
                      "type": "string"
                    }
                  }
                },
                "example": {
                  "error": "NOT_FOUND",
                  "code": "NOT_FOUND",
                  "message": "Order 16db273e-10da-449d-8124-331bfd7d1def not found"
                }
              }
            }
          },
          "429": {
            "description": "Passou de 500 requisições por minuto na empresa. Espere até o horário de `X-RateLimit-Reset`."
          }
        },
        "tags": [
          "Produtos"
        ],
        "security": [
          {
            "bearer": []
          }
        ],
        "description": "Variações do produto (grade de tamanho e cor), com o saldo de cada uma. Use o `id` da variação como `variantId` ao vender ou criar pedido.\n\n**Papel mínimo do token:** Visualizador.",
        "x-codeSamples": [
          {
            "lang": "Shell",
            "label": "curl",
            "source": "curl https://api.nivro.app/api/v1/products/PRODUCT_ID/variants \\\n  -H \"Authorization: Bearer nv_...\""
          }
        ],
        "x-papeis": [
          "Visualizador",
          "Operador",
          "Gerente",
          "Proprietário"
        ]
      }
    },
    "/v1/orders": {
      "post": {
        "operationId": "OrdersPublicController_create",
        "summary": "Cria um pedido",
        "parameters": [],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/CreateOrderDto"
              },
              "example": {
                "customerId": "CUSTOMER_ID",
                "items": [
                  {
                    "productId": "PRODUCT_ID",
                    "qty": 2,
                    "unitPrice": "49.90",
                    "costAtTime": "20.00"
                  }
                ]
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Sucesso.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "id": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "tenantId": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "customerId": {
                      "type": "string",
                      "format": "uuid"
                    },
                    "sellerId": {
                      "nullable": true
                    },
                    "status": {
                      "type": "string"
                    },
                    "subtotal": {
                      "type": "string"
                    },
                    "discountTotal": {
                      "type": "string"
                    },
                    "taxTotal": {
                      "type": "string"
                    },
                    "total": {
                      "type": "string"
                    },
                    "notes": {
                      "nullable": true
                    },
                    "deliveryAt": {
                      "nullable": true
                    },
                    "saleId": {
                      "nullable": true
                    },
                    "createdAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "updatedAt": {
                      "type": "string",
                      "format": "date-time"
                    },
                    "convertedAt": {
                      "nullable": true
                    },
                    "cancelledAt": {
                      "nullable": true
                    },
                    "cancelledByUserId": {
                      "nullable": true
                    },
                    "cancelReason": {
                      "nullable": true
                    },
                    "customerResponse": {
                      "type": "string"
                    },
                    "customerRespondedAt": {
                      "nullable": true
                    },
                    "validUntil": {
                      "nullable": true
                    },
                    "quoteExpiredNotifiedAt": {
                      "nullable": true
                    },
                    "cobranca": {
                      "type": "string"
                    },
                    "source": {
                      "type": "string"
                    },
                    "deliveryFeeTotal": {
                      "type": "string"
                    },
                    "pedeAprovacao": {
                      "type": "boolean"
                    },
                    "number": {
                      "type": "integer"
                    },
                    "codigo": {
                      "type": "string"
                    },
                    "precoOcultoAoCliente": {
                      "type": "boolean"
                    },
                    "customerName": {
                      "type": "string"
                    },
                    "customerNameOfficial": {
                      "nullable": true
                    },
                    "customerNameDisplay": {
                      "nullable": true
                    },
                    "customerDoc": {
                      "nullable": true
                    },
                    "customerType": {
                      "type": "string"
                    },
                    "customerEmail": {
                      "type": "string"
                    },
                    "customerPhone": {
                      "type": "string"
                    },
                    "customerStreet": {
                      "nullable": true
                    },
                    "customerNumber": {
                      "nullable": true
                    },
                    "customerComplement": {
                      "nullable": true
                    },
                    "customerDistrict": {
                      "nullable": true
                    },
                    "customerCity": {
                      "type": "string"
                    },
                    "customerState": {
                      "type": "string"
                    },
                    "customerPostalCode": {
                      "nullable": true
                    },
                    "items": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "string",
                            "format": "uuid"
                          },
                          "qty": {
                            "type": "integer"
                          },
                          "total": {
                            "type": "number"
                          },
                          "discount": {
                            "type": "integer"
                          },
                          "pickedAt": {
                            "nullable": true
                          },
                          "pickedQty": {
                            "nullable": true
                          },
                          "productId": {
                            "type": "string",
                            "format": "uuid"
                          },
                          "unitPrice": {
                            "type": "number"
                          },
                          "variantId": {
                            "type": "string",
                            "format": "uuid"
                          },
                          "costAtTime": {
                            "type": "integer"
                          },
                          "unitSerial": {
                            "nullable": true
                          },
                          "productName": {
                            "type": "string"
                          },
                          "productType": {
                            "type": "string"
                          },
                          "variantName": {
                            "nullable": true
                          },
                          "photoThumbUrl": {
                            "nullable": true
                          }
                        }
                      }
                    },
                    "history": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {
                          "toStatus": {
                            "type": "string"
                          },
                          "changedBy": {
                            "type": "string",
                            "format": "uuid"
                          },
                          "createdAt": {
                            "type": "string",
                            "format": "date-time"
                          },
                          "fromStatus": {
                            "type": "string"
                          }
                        }
                      }
                    },
                    "schedule": {
                      "nullable": true
                    },
                    "delivery": {
                      "nullable": true
                    }
                  }
                },
                "example": {
                  "id": "207f0a24-06fc-4659-8e72-4c4b3046356a",
                  "tenantId": "c97d2f13-39f7-4123-8457-6e47a4da5caf",
                  "customerId": "09923d7f-b1e5-4efe-8d32-376a9016c4ab",
                  "sellerId": null,
                  "status": "CONFIRMED",
                  "subtotal": "194.7",
                  "discountTotal": "0",
                  "taxTotal": "0",
                  "total": "194.7",
                  "notes": null,
                  "deliveryAt": null,
                  "saleId": null,
                  "createdAt": "2026-11-12T14:30:00.000Z",
                  "updatedAt": "2026-11-12T14:30:00.000Z",
                  "convertedAt": null,
                  "cancelledAt": null,
                  "cancelledByUserId": null,
                  "cancelReason": null,
                  "customerResponse": "PENDING",
                  "customerRespondedAt": null,
                  "validUntil": null,
                  "quoteExpiredNotifiedAt": null,
                  "cobranca": "ANTECIPADA",
                  "source": "INTERNO",
                  "deliveryFeeTotal": "0",
                  "pedeAprovacao": true,
                  "number": 1,
                  "codigo": "00001",
                  "precoOcultoAoCliente": false,
                  "customerName": "Maria Souza",
                  "customerNameOfficial": null,
                  "customerNameDisplay": null,
                  "customerDoc": null,
                  "customerType": "PF",
                  "customerEmail": "maria.souza@exemplo.com.br",
                  "customerPhone": "11987654321",
[...]
